Subject: Re: [PATCH v5 0/7] perf libunwind multiple remote support

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Thu, 14 May 2026 21:28:37 -0300

On Thu, May 14, 2026 at 09:01:18PM -0300, Arnaldo Carvalho de Melo wrote:
> On Thu, May 14, 2026 at 09:51:09AM -0700, Ian Rogers wrote:
> > On Wed, May 13, 2026 at 4:32 PM Ian Rogers <[email-masked]> wrote:
> > > Fix the libunwind build for when libdw and libunwind are feature
> > > detected, currently failing with a duplicate symbol.
> > >
> > > Refactor the libunwind support so that whenever a remote target is
> > > available, perf functions using the ELF machine can use that remote
> > > target regardless of what the host/local machine is. Migrate existing
> > > libunwind supported architectures like powerpc, arm64 and loongarch so
> > > that they can work in a cross-architecture way. Add support for
> > > RISC-V. Make the code more regular in function names, etc. and avoid
> > > including a C-file. This increases the lines of code. It is similar in
> > > style to the unwind-libdw implementation. It is hoped that the more
> > > uniform nature of the code will help with refactoring the perf
> > > registers for SIMD/APX support.
> > >
> > > Aside from local host testing these patches are under tested, in part
> > > as I'm failing to see how to build libunwind with support for multiple
> > > remote targets. Please could I get help in testing.
> > 
> > So the patches failed to apply in Sashiko:
> > https://sashiko.dev/#/patchset/20260513233151.572332-1-irogers%40google.com
> > The baseline logs show perf-tools-next was at commit 8c8f20936143
> > ("perf build: Remove NO_GTK2 build test") which is 6 patches
> > out-of-date compared to the current tip these patches are against. I
> > ran Sashiko locally, so I don't expect a huge amount from the reviews.
> > Currently Sashiko is catching up with a backlog because its tokens
> > have a lower priority and there was high load earlier in the week.
> > Anyway, I could repost the patches for Sashiko review but given the
> > backlog I think that would just create noise at the moment. Hopefully
> > I can get human review so we can move forward with merging these
> > improvements.
> 
> Trying to apply it now, will also run sashiko locally.

Its in perf-tools-next tmp.perf-tools-next,

Running build tests now and will let sashiko running locally, probably
will push out tomorrow morning if nothing major is reported.

To make progress I think we can go on addressing some Sashiko reviews
with followup series otherwise it drags for a long time.

- Arnaldo